import { cleanupOutdatedCaches, precacheAndRoute } from "workbox-precaching";

// This array will be injected with the actual file manifest

precacheAndRoute(self.__WB_MANIFEST);
cleanupOutdatedCaches();

// Receive push notifications
self.addEventListener("push", function (e) {
  if (!(self.Notification && self.Notification.permission === "granted")) {
    //notifications aren't supported or permission not granted!
    return;
  }

  if (e.data) {
    let message = e.data.json();
    e.waitUntil(
      self.registration.showNotification("SURE DOG", {
        body: message.body,
        icon: "img/logo.png",
        data: message.data,
      })
    );
  }
});

self.addEventListener("notificationclick", function (event) {
  event.notification.close();
  var url = event.notification.data.url;
  event.waitUntil(
    clients
      .openWindow(event.notification.data.url)
      .catch((err) => console.log(err))
  );
});

self.addEventListener("message", (event) => {
  if (event.data && event.data.type === "SKIP_WAITING") {
    self.skipWaiting();
  }
});
