import { signal } from "uhtml/preactive";
import { Route } from "../router";

export const API_BASE_URL = new URL(
  import.meta.env.VITE_API_BASE_URL || "http://localhost:3000"
);
export const BASE_URL = new URL(
  import.meta.env.VITE_BASE_URL || "http://localhost:3000"
);

// the current page / params for this URL
export const page = signal(Route.Receive);
export const params = signal(
  new URLSearchParams(window.location.hash.slice(1))
);

export enum LOCAL_STORAGE_KEYS {
  REQUEST_PUBLIC_KEY = "requestPublicKey",
  ECDH_PUBLIC_KEY = "ecdhPublic",
  ECDH_PRIVATE_KEY = "ecdhPrivate",
}

export const hasServiceWorkers = signal(false);
